Debian Bug report logs - #610434
tomcat7

Package: tomcat6; Maintainer for tomcat6 is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for tomcat6 is src:tomcat6.

Reported by: Sergio Fernández <sergio@wikier.org>

Date: Tue, 18 Jan 2011 14:27:01 UTC

Severity: wishlist

Done: tony mancill <tmancill@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#610434; Package tomcat7. (Tue, 18 Jan 2011 14:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergio Fernández <sergio@wikier.org>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Tue, 18 Jan 2011 14:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sergio Fernández <sergio@wikier.org>
To: submit@bugs.debian.org
Subject: tomcat7
Date: Tue, 18 Jan 2011 15:22:31 +0100
package: tomcat7
severity: wishlist

The first stable release of the Tomcat 7 branch is out

-- 
__      ___ _   _
\ \    / (_) |_(_)___ _ _
 \ \/\/ /| | / / / -_) '_|  Sergio Fernández
  \_/\_/ |_|_\_\_\___|_|    http://www.wikier.org/




Bug reassigned from package 'tomcat7' to 'tomcat6'. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Tue, 18 Jan 2011 14:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#610434; Package tomcat6. (Thu, 05 May 2011 11:36:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 05 May 2011 11:36:45 GMT) Full text and rfc822 format available.

Message #12 received at 610434@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: Ernesto Hernández-Novich <emhnemhn@gmail.com>
Cc: debian-devel@lists.debian.org, 610434@bugs.debian.org
Subject: Re: Has anyone attempted a tomcat7 package?
Date: Thu, 5 May 2011 13:35:02 +0200
Hi,

On Wed, May 04, 2011 at 08:12:10PM -0430, Ernesto Hernández-Novich wrote:
> I've been trying to build a tomcat7 package based on the existing
> tomcat6 package. After fiddling with it for a while, I've managed to
> "build" what looks like a working binary, but I get a backtrace when the
> services starts.
> 
> The relevant part of the backtrace is
> 
> java.lang.NoClassDefFoundError: org/apache/tomcat/util/res/StringManager
> 	at org.apache.catalina.startup.Catalina.<clinit>(Catalina.java:80)
> ...
> at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:406)
> 
> meaning there's a missing class.
> 
> I found the reference to the class in build.xml however I have no idea
> why it's not being built nor what should I do in debian/rules to install
> it in its proper place. I've run ant manually and gotten the file to
> build, and attempted putting it in tomcat's class search path, but the
> problem persists.
> 
> If anyone is working on a tomcat7 package, or can shed light on what I'm
> supposed to do next, I'd appreciate any pointers.

You should see with tomcat maintainers.

See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=610434

-- 
Simon Paillard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#610434; Package tomcat6. (Thu, 05 May 2011 12:15:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Page <james.page@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 05 May 2011 12:15:33 GMT) Full text and rfc822 format available.

Message #17 received at 610434@bugs.debian.org (full text, mbox):

From: James Page <james.page@canonical.com>
To: 610434@bugs.debian.org
Cc: Ernesto Hernández-Novich <emhnemhn@gmail.com>
Subject: Re: Bug#610434: Has anyone attempted a tomcat7 package?
Date: Thu, 05 May 2011 13:10:07 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2011-05-05 at 13:35 +0200, Simon Paillard wrote:
> On Wed, May 04, 2011 at 08:12:10PM -0430, Ernesto Hernández-Novich wrote:
> > I've been trying to build a tomcat7 package based on the existing
> > tomcat6 package. After fiddling with it for a while, I've managed to
> > "build" what looks like a working binary, but I get a backtrace when the
> > services starts.
> > 
> > The relevant part of the backtrace is
> > 
> > java.lang.NoClassDefFoundError: org/apache/tomcat/util/res/StringManager
> > 	at org.apache.catalina.startup.Catalina.<clinit>(Catalina.java:80)
> > ...
> > at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:406)
> > 
> > meaning there's a missing class.
> > 
> > I found the reference to the class in build.xml however I have no idea
> > why it's not being built nor what should I do in debian/rules to install
> > it in its proper place. I've run ant manually and gotten the file to
> > build, and attempted putting it in tomcat's class search path, but the
> > problem persists.
> > 
> > If anyone is working on a tomcat7 package, or can shed light on what I'm
> > supposed to do next, I'd appreciate any pointers.

Hi Ernesto

I'm hoping to start packaging tomcat7 in the next few weeks (indeed I'm
running a session on it at the Ubuntu Developer Summit next week if you
want to tune in - see [0]).  

If you can wait a bit it would be great to collaborate on this work.

Looking at this issue specifically; this class should be contained in
tomcat-util.jar that the build process produces.  It looks like the
jar's produced by the tomcat build has changed quite a bit since tomcat6
so the packaging will need a thorough review to ensure that its picking
up all the right bits and pieces.  

From memory a standard tomcat install relies on jar files being
installed to the correct locations in the CATALINA_BASE directory so you
might want to start looking there.

I generally lurk on the debian-java IRC channel if you want to discuss
in more detail.

Cheers

James

[0]
https://blueprints.launchpad.net/ubuntu/+spec/server-o-tomcat7-packaging
-- 
James Page
Software Engineer, Ubuntu Server Team
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#610434; Package tomcat6. (Thu, 05 May 2011 13:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to emhnemhn@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 05 May 2011 13:00:10 GMT) Full text and rfc822 format available.

Message #22 received at 610434@bugs.debian.org (full text, mbox):

From: Ernesto Hernández-Novich <emhnemhn@gmail.com>
To: James Page <james.page@canonical.com>
Cc: 610434@bugs.debian.org
Subject: Re: Bug#610434: Has anyone attempted a tomcat7 package?
Date: Thu, 05 May 2011 08:10:28 -0430
[Message part 1 (text/plain, inline)]
On Thu, 2011-05-05 at 13:10 +0100, James Page wrote:
> I'm hoping to start packaging tomcat7 in the next few weeks (indeed I'm
> running a session on it at the Ubuntu Developer Summit next week if you
> want to tune in - see [0]).  

> If you can wait a bit it would be great to collaborate on this work.

I know enough Java to turn away from it, so I'll pass. I'm building this
package at a customer's request; they're too stubborn to realize that
using tomcat6 is enough for their purposes. So you can count on my
Debian packaging abilities, including dh8 if needed (I've worked with
the Debian Perl and Haskell Groups, and also maintain webgui).

> Looking at this issue specifically; this class should be contained in
> tomcat-util.jar that the build process produces.  It looks like the
> jar's produced by the tomcat build has changed quite a bit since tomcat6
> so the packaging will need a thorough review to ensure that its picking
> up all the right bits and pieces.  

My packaging effort started by reviewing the tomcat6 package, renaming
what had to be renamed and fixing some of the jar names that, indeed,
have been renamed. I'm attaching what I've done so far.

The changelog is minimal and the copyright file hasn't been updated, and
I dropped a lot of people from Uploaders (this was supposed to be an
internal package in the meantime). I also dropped some of the
CVE-related patches and refreshed the rest; I'm not sure if the patch
for build.xml is useful, but I've kept it on account of ignorance.

The package builds and is lintian clean, except for not closing a bug.

> From memory a standard tomcat install relies on jar files being
> installed to the correct locations in the CATALINA_BASE directory so you
> might want to start looking there.

That's what I'll attempt later today (around 17:00 UTC or later).

> I generally lurk on the debian-java IRC channel if you want to discuss
> in more detail.

Good to know.
-- 
Ernesto Hernández-Novich - @iamemhn - Unix: Live free or die!
Geek by nature, Linux by choice, Debian of course.
If you can't aptitude it, it isn't useful or doesn't exist.
GPG Key Fingerprint = 438C 49A2 A8C7 E7D7 1500 C507 96D6 A3D6 2F4C 85E3
[tomcat7_7.0.12-1.debian.tar.gz (application/x-compressed-tar, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#610434; Package tomcat6. (Wed, 11 May 2011 16:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to emhnemhn@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 11 May 2011 16:27:05 GMT) Full text and rfc822 format available.

Message #27 received at 610434@bugs.debian.org (full text, mbox):

From: Ernesto Hernández-Novich <emhnemhn@gmail.com>
To: James Page <james.page@canonical.com>, tony mancill <tmancill@debian.org>, 610434@bugs.debian.org
Subject: Re: Bug#610434: Has anyone attempted a tomcat7 package?
Date: Wed, 11 May 2011 11:55:04 -0430
[Message part 1 (text/plain, inline)]
Well, I managed to get the thing to work (or at least I think so).
Attached you'll find the diff that works against Tomcat7 7.0.12.

I started with a fresh changelog that you should feel free to change in
whatever way you see fit. I refreshed the copyright file into DEP
parsable format and did a quick check on copyright dates while adding my
own stanza. Finally, I found out what were the missing classes that
prevented tomcat from starting and changed debian/rules to do the needed
dh_installjars.

I'd really appreciate if you could do a quick review and test the
package. My users will start doing so probably this afternoon my time.
-- 
Ernesto Hernández-Novich - @iamemhn - Unix: Live free or die!
Geek by nature, Linux by choice, Debian of course.
If you can't aptitude it, it isn't useful or doesn't exist.
GPG Key Fingerprint = 438C 49A2 A8C7 E7D7 1500 C507 96D6 A3D6 2F4C 85E3
[tomcat7_7.0.12-1.debian.tar.gz (application/x-compressed-tar, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#610434; Package tomcat6. (Fri, 13 May 2011 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Page <james.page@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 13 May 2011 08:27:03 GMT) Full text and rfc822 format available.

Message #32 received at 610434@bugs.debian.org (full text, mbox):

From: James Page <james.page@canonical.com>
To: emhnemhn@gmail.com
Cc: tony mancill <tmancill@debian.org>, 610434@bugs.debian.org, Miguel Landaeta <miguel@miguel.cc>
Subject: Re: Bug#610434: Has anyone attempted a tomcat7 package?
Date: Fri, 13 May 2011 10:25:43 +0200
On Wed, 2011-05-11 at 11:55 -0430, Ernesto Hernández-Novich wrote:
> I'd really appreciate if you could do a quick review and test the
> package. My users will start doing so probably this afternoon my time.

Ernesto - Apologies but I've not been able to find time to look at this;
I'll make time next week and get it uploaded to subversion/git (anyone
have any opinion on which - I personally prefer git).

Tony - thanks for the offer of sponsorship+ of this work - much
appreciated :-)

CC'ing Miguel in on this conversation as I know that he's interested in
collaborating on this work as well.

Cheers

James






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#610434; Package tomcat6. (Fri, 13 May 2011 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to emhnemhn@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 13 May 2011 12:21:03 GMT) Full text and rfc822 format available.

Message #37 received at 610434@bugs.debian.org (full text, mbox):

From: Ernesto Hernández-Novich <emhnemhn@gmail.com>
To: James Page <james.page@canonical.com>
Cc: tony mancill <tmancill@debian.org>, 610434@bugs.debian.org, Miguel Landaeta <miguel@miguel.cc>
Subject: Re: Bug#610434: Has anyone attempted a tomcat7 package?
Date: Fri, 13 May 2011 07:48:52 -0430
On Fri, 2011-05-13 at 10:25 +0200, James Page wrote:
> I'll make time next week and get it uploaded to subversion/git (anyone
> have any opinion on which - I personally prefer git).

Debian's Java Packaging effort already uses SVN

http://svn.debian.org/wsvn/pkg-java/

The tomcat6 effort is already there, so is natural for this tomcat7
effort to be there too, considering this is a Debian Bug being
addressed.
-- 
Ernesto Hernández-Novich - @iamemhn - Unix: Live free or die!
Geek by nature, Linux by choice, Debian of course.
If you can't aptitude it, it isn't useful or doesn't exist.
GPG Key Fingerprint = 438C 49A2 A8C7 E7D7 1500 C507 96D6 A3D6 2F4C 85E3





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#610434; Package tomcat6. (Fri, 13 May 2011 13:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 13 May 2011 13:06:03 GMT) Full text and rfc822 format available.

Message #42 received at 610434@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: emhnemhn@gmail.com
Cc: James Page <james.page@canonical.com>, tony mancill <tmancill@debian.org>, 610434@bugs.debian.org
Subject: Re: Bug#610434: Has anyone attempted a tomcat7 package?
Date: Fri, 13 May 2011 08:34:07 -0430
2011/5/13 Ernesto Hernández-Novich <emhnemhn@gmail.com>:
> On Fri, 2011-05-13 at 10:25 +0200, James Page wrote:
>> I'll make time next week and get it uploaded to subversion/git (anyone
>> have any opinion on which - I personally prefer git).
>
> Debian's Java Packaging effort already uses SVN
>
> http://svn.debian.org/wsvn/pkg-java/
>
> The tomcat6 effort is already there, so is natural for this tomcat7
> effort to be there too, considering this is a Debian Bug being
> addressed.

Hello Ernesto,

Thank you very much for your contribution.
I plan to begin to test tomcat7 packages during this weekend.

I think there is no problem using git since Debian Java team already
has many repositories available at git://git.debian.org/pkg-java.

I personally prefer to use git, if everyone who is interested on
maintaining tomcat7 agrees on using git, I can create repository
for it soon.

Cheers,

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#610434; Package tomcat6. (Fri, 13 May 2011 13:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Page <james.page@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 13 May 2011 13:09:05 GMT) Full text and rfc822 format available.

Message #47 received at 610434@bugs.debian.org (full text, mbox):

From: James Page <james.page@canonical.com>
To: Miguel Landaeta <miguel@miguel.cc>
Cc: emhnemhn@gmail.com, tony mancill <tmancill@debian.org>, 610434@bugs.debian.org
Subject: Re: Bug#610434: Has anyone attempted a tomcat7 package?
Date: Fri, 13 May 2011 15:06:58 +0200
On Fri, 2011-05-13 at 08:34 -0430, Miguel Landaeta wrote:
> I personally prefer to use git, if everyone who is interested on
> maintaining tomcat7 agrees on using git, I can create repository
> for it soon. 

+1 from me







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#610434; Package tomcat6. (Fri, 13 May 2011 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to emhnemhn@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 13 May 2011 13:21:03 GMT) Full text and rfc822 format available.

Message #52 received at 610434@bugs.debian.org (full text, mbox):

From: Ernesto Hernández-Novich <emhnemhn@gmail.com>
To: Miguel Landaeta <miguel@miguel.cc>
Cc: James Page <james.page@canonical.com>, tony mancill <tmancill@debian.org>, 610434@bugs.debian.org
Subject: Re: Bug#610434: Has anyone attempted a tomcat7 package?
Date: Fri, 13 May 2011 08:47:03 -0430
On Fri, 2011-05-13 at 08:34 -0430, Miguel Landaeta wrote:
> I think there is no problem using git since Debian Java team already
> has many repositories available at git://git.debian.org/pkg-java.

Fair enough.

> I personally prefer to use git, if everyone who is interested on
> maintaining tomcat7 agrees on using git, I can create repository
> for it soon.

I won't be maintaining it, so feel free to use what you prefer.

Thanks!
-- 
Ernesto Hernández-Novich - @iamemhn - Unix: Live free or die!
Geek by nature, Linux by choice, Debian of course.
If you can't aptitude it, it isn't useful or doesn't exist.
GPG Key Fingerprint = 438C 49A2 A8C7 E7D7 1500 C507 96D6 A3D6 2F4C 85E3





Bug closed, send any further explanations to Sergio Fernández <sergio@wikier.org> Request was from tony mancill <tmancill@debian.org> to control@bugs.debian.org. (Sun, 12 Jun 2011 17:00:05 GMT) Full text and rfc822 format available.

Message sent on to Sergio Fernández <sergio@wikier.org>:
Bug#610434. (Sun, 12 Jun 2011 17:09:05 GMT) Full text and rfc822 format available.

Message #57 received at 610434-submitter@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: control@bugs.debian.org
Cc: 610434-submitter@bugs.debian.org
Subject: closing 610434
Date: Sun, 12 Jun 2011 09:54:17 -0700
close 610434 
thanks
The tomcat7 pacakge was accepted into the archive on 2011-05-20.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jul 2011 07:33:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:05:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.